Bug 1412633 - CVE-2016-1514 CVE-2016-1515 libebml: various flaws [fedora-all]
Summary: CVE-2016-1514 CVE-2016-1515 libebml: various flaws [fedora-all]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: libebml
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-1514 CVE-2016-1515
TreeView+ depends on / blocked
 
Reported: 2017-01-12 13:57 UTC by Andrej Nemec
Modified: 2017-01-13 08:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-12 21:48:20 UTC
Type: ---


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-12 13:57:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Dominik 'Rathann' Mierzejewski 2017-01-12 21:48:20 UTC
First, why was this filed one year after the original report?

Second, current Fedora libebml builds (1.3.3 and newer) are not vulnerable to CVE-2016-1514 or CVE-2016-1515. See upstream announcement: https://lists.matroska.org/pipermail/matroska-users/2015-October/006985.html . The fixes are in upstream commits: https://github.com/Matroska-Org/libebml/commit/ababb64e0c792ad2a314245233db0833ba12036b (CVE-2016-1514) and https://github.com/Matroska-Org/libebml/commit/88409e2a94dd3b40ff81d08bf6d92f486d036b24 (CVE-2016-1515).

Comment 2 Andrej Nemec 2017-01-13 08:40:06 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #1)
> First, why was this filed one year after the original report?
> 
> Second, current Fedora libebml builds (1.3.3 and newer) are not vulnerable
> to CVE-2016-1514 or CVE-2016-1515. See upstream announcement:
> https://lists.matroska.org/pipermail/matroska-users/2015-October/006985.html
> . The fixes are in upstream commits:
> https://github.com/Matroska-Org/libebml/commit/
> ababb64e0c792ad2a314245233db0833ba12036b (CVE-2016-1514) and
> https://github.com/Matroska-Org/libebml/commit/
> 88409e2a94dd3b40ff81d08bf6d92f486d036b24 (CVE-2016-1515).

1. We were not aware of these issues, so as we did not have these CVEs in our bugzilla I filed them for tracking.

2. Thanks for making sure Fedora is fine!


Note You need to log in before you can comment on or make changes to this bug.